- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
dmxpixmap.c File Reference
`#include "dmx.h"`
`#include "dmxsync.h"`
`#include "dmxpixmap.h"`
`#include "pixmapstr.h"`
`#include "servermd.h"`
`#include "privates.h"`

## Functions
Bool | dmxInitPixmap (ScreenPtr pScreen)
void | dmxBECreatePixmap (PixmapPtr pPixmap)
PixmapPtr | dmxCreatePixmap (ScreenPtr pScreen, int width, int height, int depth, unsigned usage_hint)
Bool | dmxBEFreePixmap (PixmapPtr pPixmap)
Bool | dmxDestroyPixmap (PixmapPtr pPixmap)
RegionPtr | dmxBitmapToRegion (PixmapPtr pPixmap)

## Detailed Description

Provides pixmap support.

## Function Documentation

void dmxBECreatePixmap | ( | PixmapPtr | pPixmap | ) |

Create a pixmap on the back-end server.

References _DMXScreenInfo::beDisplay, DMX_GET_PIXMAP_PRIV, dmxScreens, dmxSync(), _dmxPixPriv::pixmap, and _DMXScreenInfo::scrnWin.

Referenced by dmxAttachScreen(), dmxBECreateResources(), dmxBECreateWindowTree(), dmxBERestoreRenderPict(), and dmxCreatePixmap().

Bool dmxBEFreePixmap | ( | PixmapPtr | pPixmap | ) |

Destroy the pixmap on the back-end server.

References _DMXScreenInfo::beDisplay, DMX_GET_PIXMAP_PRIV, dmxScreens, and _dmxPixPriv::pixmap.

Referenced by dmxBEDestroyResources(), dmxBEDestroyWindowTree(), dmxDestroyPixmap(), and dmxDetachScreen().

RegionPtr dmxBitmapToRegion | ( | PixmapPtr | pPixmap | ) |

Create and return a region based on the pixmap pointed to by pPixmap.

References _DMXScreenInfo::beDisplay, DMX_GET_PIXMAP_PRIV, dmxScreens, dmxSync(), and _dmxPixPriv::pixmap.

Referenced by dmxScreenInit().

PixmapPtr dmxCreatePixmap | ( | ScreenPtr | pScreen,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | unsigned | usage_hint
| ) |  |

Create a pixmap for pScreen with the specified width, height, and depth.

References _DMXScreenInfo::beDisplay, _dmxPixPriv::detachedImage, DMX_GET_PIXMAP_PRIV, DMX_UNWRAP, DMX_WRAP, dmxBECreatePixmap(), dmxCreatePixmap(), dmxScreens, and _dmxPixPriv::pixmap.

Referenced by dmxCreatePixmap(), and dmxScreenInit().

Bool dmxDestroyPixmap | ( | PixmapPtr | pPixmap | ) |

Destroy the pixmap pointed to by pPixmap.

References _DMXScreenInfo::beDisplay, _dmxPixPriv::detachedImage, DMX_GET_PIXMAP_PRIV, DMX_UNWRAP, DMX_WRAP, dmxBEFreePixmap(), dmxDestroyPixmap(), dmxScreens, and dmxSync().

Referenced by dmxDestroyPixmap(), and dmxScreenInit().

Bool dmxInitPixmap | ( | ScreenPtr | pScreen | ) |

Initialize a private area in pScreen for pixmap information.

References dmxPixPrivateKeyRec.

Referenced by dmxScreenInit().